Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[ mono ][ 5.10.0.160] Microsoft's .NET Framework
#1
[Image: sup_app_icon_469.fw.png]

Module is available for:

x64_OS5/OS7 - last version 5.10.0.160
x86_OS5/OS6 - last version 5.10.0.160
ppc_OS6 - last version 5.0.0.100

Download:
"You have not unlocked the download links. Read here to check how you can unlock them."

Thecus Forum

About :

http://www.mono-project.com

Mono is a software platform designed to allow developers to easily create cross platform applications part of the .NET Foundation.
Sponsored by Microsoft, Mono is an open source implementation of Microsoft's .NET Framework based on the ECMA standards for C# and the Common Language Runtime. A growing family of solutions and an active and enthusiastic contributing community is helping position Mono to become the leading choice for development of cross platform applications.
------------------------------------------------------------------------
[Image: linkedinbutton.jpg][Image: btn_donate_LG.gif]
Please respect my work and dont share my modules
Reply
#2
updated to 5.0.0.100
------------------------------------------------------------------------
[Image: linkedinbutton.jpg][Image: btn_donate_LG.gif]
Please respect my work and dont share my modules
Reply
#3
(19-05-2017, 08:51 PM)outkastm Wrote: updated to 5.0.0.100

Quote:App Name: [ Mono Runtime (Teminal) ]
App Version: [ 5.0.0.100 ]
2017/08/30 20:56:39: App is installing ...
2017/08/30 20:56:39: Firmware mode (cdv) does not match.
2017/08/30 20:56:39: App installation failed.

I am attempting to install this on my N5550 V2.05.14.5.cdv as a prerequisite for Emby, is this fundamentally not compatible? Thanks!
Reply
#4
I think Thecus changed something on this firmware....i have to check with them
Anyway, i will provide you a version that dont have a limitation for platform
------------------------------------------------------------------------
[Image: linkedinbutton.jpg][Image: btn_donate_LG.gif]
Please respect my work and dont share my modules
Reply
#5
Could you download again the module and let me know if is installing now. If needed, remove any existing version
------------------------------------------------------------------------
[Image: linkedinbutton.jpg][Image: btn_donate_LG.gif]
Please respect my work and dont share my modules
[-] The following 1 user says Thank You to outkastm for this post:
  • sparkle999
Reply
#6
Thanks again. This has installed successfully, enabling me to install emby. Not had chance to check that out yet. Best regards, Nige.
Reply
#7
wondering if you could help me with a problem with mono.
i use a program called webgrabplus
Code:
http://www.webgrabplus.com/
for linux users its run with mono,it works fine for most sites but for https sites it requires the ssl certs.
on my ubuntu pc all i have to do is install mono-complete and it downloads everything and it all works(certs are imported automatically).
there were some problems with mono version <= 4.8.0 but this has been solved with any version newer.

in the /raid/module/mono/sys/bin directory i have the mozroot binary so i ran it with..
./mozroots --import --sync
which seemed to work ok..
Importing certificates into user store...
190 new root certificates were added to your trust store.
Import process completed.

so i got looking around the filesystem and noticed they were saved here..
/.config/.mono/certs
inside the certs folder there is a folder named "Trust" containing all the cert files.

i also noticed this directory..
/raid/module/mono/sys/ssl/certs
but its empty so i copied the "Trust" folder above here also but i still have issues with https sites.

error downloading page: Error: SecureChannelFailure (The authentication or decryption has failed.)

so i'm not sure what the correct way to do this.i know its a mono/certs issue as it was like this for a long time untill version 5.0.x was released which fixed it for linux users.
Reply
#8
what is your NAS platform and OS ? x86 or x64 ?
------------------------------------------------------------------------
[Image: linkedinbutton.jpg][Image: btn_donate_LG.gif]
Please respect my work and dont share my modules
Reply
#9
N4810 OS7 x64
Reply
#10
after doing some more reading on mono i also found the certs are saved here..
/usr/share/.mono/certs
these are the same paths that are found on the mono site if you search for mozroots.

do you think that these might have to be somewhere in the /raid/module/mono/sys directory to be found? or can mono find them where they currently are.
also i went back and looked at my mono version and from 4.8.0(which has the https issue) to the next version i tried that worked was 5.0.1.1 so i cannot confirm that 5.0.0 has this issue fixed.

so maybe its just needs to be updated(latest stable is 5.2.0).
Thanks.
Reply


Forum Jump:


Users browsing this thread: 3 Guest(s)